Package org.gradle.tooling.model.eclipse

## Interface EclipseWorkspace

-     public interface EclipseWorkspace

  Information about the eclipse workspace.
  Since:
    5.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getLocation()` | The filesystem location of the eclipse workspace
    `java.util.List<EclipseWorkspaceProject>` | `getProjects()` | The list of projects in the eclipse workspace.

- - ### Method Detail

    - #### getLocation

          java.io.File getLocation()

      The filesystem location of the eclipse workspace

    - #### getProjects

          java.util.List<EclipseWorkspaceProject> getProjects()

      The list of projects in the eclipse workspace. This list should include all projects and not make a distinction between gradle and non gradle projects.